Trying to upgrade from v 0.7.0 --> 1.0.2

Help
Kevin
2004-09-21
2013-04-22
  • Kevin

    Kevin - 2004-09-21

    Hello,

    I'm getting the following error when I try running the migrate-1.0.0.php3

    Fatal error: Call to undefined function: init_templates() in /home/u2exit/public_html/u2m/config.php3 on line 112

    What am I doing wrong?

    Thanks

     
    • Ludovic Drolez

      Ludovic Drolez - 2004-09-26

      Are you sure that you really DL v1.0.2 ?
      This bug should be fixed now:

      http://cvs.sourceforge.net/viewcvs.py/mythreads/mythreads-links/config.php3?r1=1.46&r2=1.47

       
      • Kevin

        Kevin - 2004-09-26

        Hum.... I thought I did. I downloaded it from the download section and the tar file name is mythreads-links_1.0.2.tar.gz

         
    • C

      C - 2004-09-26
       
    • R LeGris

      R LeGris - 2006-02-25

      Yeah, I got this error today, after downloading the new 1.0.2 version.
      I looked at the config file and it contains:

      if (!isset($no_init_templates))
          $tpl = init_templates();

      I went ahead and manually changed the database to the new configuration.
      However that caused some problems too.
      My date fields all changed to 04/28/2000, so I had to upload a backup of my link files to get the correct date in there.
      And now, all of my links are linking to count=0 which is I guess the first link I ever put in there.
      Also, my admin link goes straight to the admin's delete category page instead of the admin main page.
      Any ideas on how to get this upgrade to work???
      (I have about 3800 links in my db)

       
      • Ludovic Drolez

        Ludovic Drolez - 2006-04-11

        Hi,
        One important thing: If you want to upgrade, you have to run the migrate-1.0.0.php3 script, and most important, you have to follow the instructions in the 'UPGRADE' file: add $tpl = init_templates(); to config.php, modify the templates, ...
          Ludovic..

         
    • R LeGris

      R LeGris - 2006-04-10

      ??

       
    • R LeGris

      R LeGris - 2006-04-11

      I followed the directions on 2 different sites that I have it installed on. The migrate script produced errors that were said to have been fixed. However I received the error on both upgrade attempts.
      All of the links pointed to the 0 record. I had to manually number all of the existing links (idx column) in order for them to work properly.

       
      • C

        C - 2006-04-12

        Greetings,

        This is what I did to get around the errors I received when attempting to "migrate" from v0.7.0 to v1.0.1 of MyThreads-Links:

        Upgrade from v0.7.0 to v0.9.2 beta first.
        The "migrate-1.0.0.php3" that comes with v0.9.2 beta will modify the tables in the database, which will make them compatible with v1.0.1.
        Then you should be able to just copy the v1.0.2 files to the Web server and start using it.

        RootsMan
        http://CVibes.net

         

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks